Subject: Re: impure_ptr/Mingw and Cygwin
From: "Max Bowsher" <[email-masked]>
To: "Peter A. Castro" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 24 Nov 2002 18:05:40 -0000

Peter A. Castro <[email-masked]> wrote:

> On Sat, 23 Nov 2002, Max Bowsher wrote:
>> $ gcc -g foo.c -mno-cygwin -mwindows -o foo -liberty -lmingw32
>> $ ./foo.exe > x
>> Hello World 2
>> $ cat x
>> Hello World
>>
>> How odd. I get the stderr output just fine.
>
> Yes, very interesting.  I'll have to see if perhaps stderr output is
> appearing and the command prompt is simple overlaying it after the
> command returns.  BTW, I was running the program from a regular DOS
> Prompt, not a bash shell (not that that should make a big difference
> for console I/O).
>
>> Why the -mwindows -liberty -lmingw32 switches? They are unnecessary.
>
> Because that's how setup.exe is built (that's where I got the above
> switches from).

-liberty ? Not on my computer.

-lmingw32 ? I think that's just one of the redundant things libtool like to
add.

-mwindows ? Sparsely documented, if at all. I *think* it is to link as a
Windows GUI exe rather than a Windows console exe.

So, I think you can lose all 3 of these.

--
Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/